(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     82125,       1752]
NotebookOptionsPosition[     81687,       1731]
NotebookOutlinePosition[     82072,       1748]
CellTagsIndexPosition[     82029,       1745]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:5186\:306e\:63a5\:7dda\:3068\:5f26\:306e\:4f5c\:308b\:89d2
\:3000\:5186\:306e\:63a5\:7dda\:3068\:63a5\:70b9\:3092\:901a\:308b\:5f26\:306e\
\:4f5c\:308b\:5404\:306f\:ff0c\:3053\:306e\:89d2\:5185\:306b\:3042\:308b\:5f27\
\:306b\:5bfe\:3059\:308b\:5186\:5468\:89d2\:306b\:7b49\:3057\:3044\
\>", "Section",
 CellChangeTimes->{{3.62701661572211*^9, 3.6270168003729267`*^9}, {
   3.62853791140688*^9, 3.6285379632355537`*^9}, {3.6285380644966273`*^9, 
   3.6285381087942405`*^9}, 3.6303012560628285`*^9, {3.630301435622402*^9, 
   3.6303015833019223`*^9}, 3.630301656277422*^9},
 FontSize->18,
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"Pink", ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "3"}], "]"}]}], "}"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Pink", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"3", "*", 
                  RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                 RowBox[{"3", "*", 
                  RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "+", 
               RowBox[{"10", "*", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "A", "]"}], ",", 
                  RowBox[{"-", 
                   RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}]}]}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"3", "*", 
                  RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                 RowBox[{"3", "*", 
                  RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "-", 
               RowBox[{"10", "*", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "A", "]"}], ",", 
                  RowBox[{"-", 
                   RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}]}]}]}], "}"}], 
            "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]",
          "                     ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "Large", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "A", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "B", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
         "           ", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], " ", ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], " ", ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"d", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", 
             RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"BSplineCurve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"1.8", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", 
               RowBox[{"SplineDegree", "\[Rule]", "4"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"BSplineCurve", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}]}], "/", "2"}], 
                  "+", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}]}], "/", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}]}], ")"}], "/", "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}]}], "/", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}]}], ")"}], "]"}]}], ")"}]}], "\[IndentingNewLine]",
                   "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "B", "]"}], ",", 
                    RowBox[{"Sin", "[", "B", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", 
               RowBox[{"SplineDegree", "\[Rule]", "4"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]",
          "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"d2", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", 
             RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"BSplineCurve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ")"}]}], 
                    ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"1.8", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ")"}]}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", 
               RowBox[{"SplineDegree", "\[Rule]", "4"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"BSplineCurve", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}], "/", "2"}], 
                  "+", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}], "/", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}]}], ")"}], "/", "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "A", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], "}"}], "/", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}]}], ")"}], "]"}]}], ")"}]}], "\[IndentingNewLine]",
                   "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "CC", "]"}], ",", 
                    RowBox[{"Sin", "[", "CC", "]"}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", 
                    RowBox[{"Sin", "[", "A", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "+", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", 
               RowBox[{"SplineDegree", "\[Rule]", "4"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]",
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"d", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                  RowBox[{"3", "*", 
                   RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "*", "1.3"}]}],
               "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                   RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "*", "1.3"}], 
                "+", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "0"}], "}"}]}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]",
          "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"d2", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                   RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "*", "1.3"}], 
                "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0"}], "}"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                   RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "*", "1.3"}], 
                "+", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "0"}], "}"}]}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]",
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", 
              RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "A", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", 
              RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<B\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "B", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", 
              RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<C\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", 
              RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ","}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "0", ",", "\"\<\[Angle]ACB\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d2", ",", "0", ",", "\"\<\[Angle]ABC\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"CC", ",", "0.3", ",", 
      RowBox[{"0.3", "+", 
       RowBox[{"2", "*", "Pi"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"A", ",", 
      RowBox[{"3", "*", 
       RowBox[{"Pi", "/", "2"}]}], ",", 
      RowBox[{
       RowBox[{"3", "*", 
        RowBox[{"Pi", "/", "2"}]}], "+", 
       RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"B", ",", 
      RowBox[{
       RowBox[{"-", "Pi"}], "/", "3"}], ",", "CC"}], "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228517360319505`*^9, 
   3.622851888770571*^9}, {3.622869944764762*^9, 3.6228699498657002`*^9}, {
   3.62300881856843*^9, 3.6230089464969597`*^9}, {3.623008978145352*^9, 
   3.623008993321622*^9}, {3.6230146289140887`*^9, 3.623014762294089*^9}, {
   3.623014792558089*^9, 3.623014959400089*^9}, {3.6230150305520554`*^9, 
   3.623015077570757*^9}, {3.6230151119673123`*^9, 3.623015159825658*^9}, {
   3.6230151939723067`*^9, 3.623015224624735*^9}, {3.6230152648238735`*^9, 
   3.623015297862979*^9}, {3.623015369572501*^9, 3.623015374408253*^9}, {
   3.623015405669918*^9, 3.623015447820578*^9}, {3.62302460665335*^9, 
   3.623024668568559*^9}, {3.6230247468478537`*^9, 3.623024948334689*^9}, {
   3.6230249989404407`*^9, 3.6230250066155424`*^9}, {3.623025059998058*^9, 
   3.6230251055182743`*^9}, {3.6230251453445635`*^9, 
   3.6230251849680557`*^9}, {3.62302540996774*^9, 3.623025423250914*^9}, {
   3.6230254833607883`*^9, 3.623025491165238*^9}, {3.6230256587993317`*^9, 
   3.623025749797777*^9}, {3.6230259477225294`*^9, 3.6230259747751837`*^9}, {
   3.623026072049289*^9, 3.623026194082658*^9}, {3.6230263154410453`*^9, 
   3.6230264373129325`*^9}, {3.6230264759088173`*^9, 
   3.6230265099337254`*^9}, {3.623026597046062*^9, 3.62302660005692*^9}, {
   3.6230266328955517`*^9, 3.6230267031437025`*^9}, {3.623026743688882*^9, 
   3.6230267477761607`*^9}, {3.623026780224785*^9, 3.6230267857316904`*^9}, {
   3.623026823390815*^9, 3.623026827244089*^9}, {3.62303211889126*^9, 
   3.6230322963423977`*^9}, {3.6230325374263434`*^9, 3.62303257435178*^9}, {
   3.623032634256164*^9, 3.623032642025014*^9}, {3.623106378187802*^9, 
   3.623106453784917*^9}, {3.623106490148284*^9, 3.6231065188521*^9}, {
   3.6231066279422007`*^9, 3.6231066731039114`*^9}, {3.6231067579049673`*^9, 
   3.6231067689340973`*^9}, {3.6231069439649754`*^9, 3.623106952123723*^9}, {
   3.6231069979562287`*^9, 3.6231070248036566`*^9}, {3.623107060839426*^9, 
   3.6231070705581636`*^9}, {3.6231123296016455`*^9, 3.62311236619948*^9}, {
   3.623112425604661*^9, 3.623112555038145*^9}, {3.623112891109145*^9, 
   3.623112982542745*^9}, {3.6231192971043105`*^9, 3.623119300647488*^9}, {
   3.6231195055814276`*^9, 3.623119556307979*^9}, {3.6231196005310807`*^9, 
   3.6231196188813868`*^9}, {3.623634948198058*^9, 3.6236349507427816`*^9}, {
   3.623635062096794*^9, 3.6236350857680626`*^9}, {3.6236351798133707`*^9, 
   3.623635258878784*^9}, 3.6236353049494233`*^9, {3.623635428121687*^9, 
   3.6236354414763994`*^9}, {3.62369948005193*^9, 3.6236995051053696`*^9}, 
   3.6236995692365584`*^9, 3.623700638271182*^9, {3.62372197705048*^9, 
   3.6237219807008567`*^9}, {3.623722255883093*^9, 3.6237222631994457`*^9}, {
   3.6237223050227776`*^9, 3.623722388716241*^9}, {3.6237224331291566`*^9, 
   3.6237224334411545`*^9}, {3.6237225008171225`*^9, 3.623722502579911*^9}, {
   3.6237230415564556`*^9, 3.623723064051512*^9}, {3.6237230990888867`*^9, 
   3.62372316097369*^9}, 3.6237233260206323`*^9, 3.623723365503979*^9, {
   3.623723402163744*^9, 3.623723406157318*^9}, {3.626815178336041*^9, 
   3.6268152069312983`*^9}, {3.6268152443082495`*^9, 
   3.6268153377506533`*^9}, {3.6268154528816905`*^9, 3.6268154765860586`*^9}, 
   3.6268299303816953`*^9, {3.626829996978901*^9, 3.6268300392935963`*^9}, {
   3.62683008496784*^9, 3.62683010478137*^9}, {3.626830148393014*^9, 
   3.626830173831826*^9}, {3.626830212661973*^9, 3.6268302574455395`*^9}, {
   3.6268310929269304`*^9, 3.626831117865724*^9}, {3.6268312800446825`*^9, 
   3.626831440271739*^9}, {3.626832732379981*^9, 3.6268328163062105`*^9}, {
   3.626834116381859*^9, 3.6268341582902794`*^9}, {3.6268342294124484`*^9, 
   3.626834244085085*^9}, 3.6268343489301524`*^9, {3.626834384291362*^9, 
   3.6268343846976347`*^9}, {3.626834506449317*^9, 3.626834517574892*^9}, {
   3.626834606282349*^9, 3.626834617673566*^9}, {3.626834945674177*^9, 
   3.626835010068142*^9}, {3.6268358644249673`*^9, 3.626835906677168*^9}, {
   3.626835964211396*^9, 3.6268361378766575`*^9}, {3.626836312611562*^9, 
   3.626836422148494*^9}, 3.626837207202815*^9, {3.6268394463833385`*^9, 
   3.6268395826219215`*^9}, {3.62684006309696*^9, 3.626840093001789*^9}, {
   3.626840124217393*^9, 3.626840182452196*^9}, {3.626840479410954*^9, 
   3.626840490255268*^9}, {3.6268406301153283`*^9, 3.6268406853947315`*^9}, {
   3.626840786640684*^9, 3.6268407967506137`*^9}, {3.6268451456628723`*^9, 
   3.626845249387007*^9}, {3.6268452843575716`*^9, 3.626845337313443*^9}, {
   3.6268455493247952`*^9, 3.626845615500097*^9}, {3.6268459137655864`*^9, 
   3.6268459175939007`*^9}, {3.6268460686798573`*^9, 3.626846169935113*^9}, {
   3.6268463278107557`*^9, 3.6268463868138175`*^9}, {3.62684658377717*^9, 
   3.626846590777526*^9}, {3.626846627904454*^9, 3.6268467416447287`*^9}, {
   3.626846842743726*^9, 3.6268469292950897`*^9}, {3.6268470095023766`*^9, 
   3.626847198621563*^9}, {3.6268472417644634`*^9, 3.626847250436759*^9}, {
   3.6268473106742525`*^9, 3.6268473642551603`*^9}, {3.6268473966943417`*^9, 
   3.6268473971943665`*^9}, {3.6268474579631443`*^9, 
   3.6268474682136774`*^9}, {3.6268475437800975`*^9, 
   3.6268475488272347`*^9}, {3.626848304419773*^9, 3.6268484177694073`*^9}, {
   3.626848452099309*^9, 3.626848477163106*^9}, {3.626848509211646*^9, 
   3.6268485673084126`*^9}, {3.6268486003101225`*^9, 3.6268487087063704`*^9}, 
   3.627010308469825*^9, {3.627012882940384*^9, 3.6270129402156167`*^9}, {
   3.6270131031859717`*^9, 3.6270131128267097`*^9}, {3.627013151177264*^9, 
   3.627013175373709*^9}, {3.6270132091650925`*^9, 3.6270132355047235`*^9}, {
   3.6270133003741083`*^9, 3.6270133418748417`*^9}, {3.627013383157177*^9, 
   3.627013454237322*^9}, {3.6270135288724437`*^9, 3.6270135587346525`*^9}, {
   3.627013659069609*^9, 3.6270136779172883`*^9}, {3.6270137821100264`*^9, 
   3.627013833825695*^9}, {3.6270138823921833`*^9, 3.627013883593376*^9}, {
   3.627014178760126*^9, 3.6270141896177263`*^9}, {3.6270142725175266`*^9, 
   3.627014303066326*^9}, {3.6270143787925262`*^9, 3.627014395234926*^9}, {
   3.627014447626726*^9, 3.6270144551167264`*^9}, {3.6270145114407263`*^9, 
   3.627014524669526*^9}, {3.6270146219495263`*^9, 3.6270146852163267`*^9}, {
   3.6270147266139264`*^9, 3.6270147941499853`*^9}, {3.6270148440560656`*^9, 
   3.6270148476752424`*^9}, {3.627015427515526*^9, 3.6270154594983206`*^9}, {
   3.6270155009522552`*^9, 3.6270155718306007`*^9}, {3.6270156093035603`*^9, 
   3.6270159462902007`*^9}, {3.6270161475861106`*^9, 3.627016148927702*^9}, {
   3.627016212098697*^9, 3.6270164612445*^9}, {3.6270168632621236`*^9, 
   3.6270168715456705`*^9}, {3.627016918555169*^9, 3.627017000337845*^9}, {
   3.6270170423835754`*^9, 3.627017062229648*^9}, {3.6270170978794193`*^9, 
   3.6270171483324966`*^9}, {3.627070861044466*^9, 3.6270709494107957`*^9}, {
   3.6270710092265635`*^9, 3.627071187141187*^9}, {3.6270714892048674`*^9, 
   3.627071513184572*^9}, {3.627071548131708*^9, 3.627071611629406*^9}, {
   3.6270716417057056`*^9, 3.6270716500056505`*^9}, {3.6270720799398746`*^9, 
   3.627072100904245*^9}, {3.6270723234740677`*^9, 3.6270723441607285`*^9}, {
   3.627072419231778*^9, 3.627072447906049*^9}, {3.6270724847863398`*^9, 
   3.6270725485780115`*^9}, {3.627072621199735*^9, 3.6270727075656786`*^9}, {
   3.6270727419496217`*^9, 3.6270727560526543`*^9}, {3.6270728077221727`*^9, 
   3.6270729634951625`*^9}, {3.6270730438075657`*^9, 3.627073351141356*^9}, {
   3.6270733826859713`*^9, 3.6270734006735783`*^9}, {3.6270735907993097`*^9, 
   3.6270739505202503`*^9}, {3.6270739868542805`*^9, 
   3.6270740298186083`*^9}, {3.6270740687579556`*^9, 3.6270741526429195`*^9}, 
   3.6270741865432405`*^9, {3.627074236153466*^9, 3.62707424225334*^9}, 
   3.6270743706783023`*^9, {3.627074416622364*^9, 3.6270744461700897`*^9}, {
   3.6270746938468027`*^9, 3.627074698105794*^9}, {3.627076538540368*^9, 
   3.6270765437975683`*^9}, {3.627076574732368*^9, 3.627076575746368*^9}, {
   3.627076712839168*^9, 3.6270767563319683`*^9}, {3.6270768066739335`*^9, 
   3.6270768110888186`*^9}, {3.6270769427241497`*^9, 
   3.6270769880430217`*^9}, {3.627077042144862*^9, 3.6270770538138866`*^9}, {
   3.627077087448265*^9, 3.6270770899287286`*^9}, {3.6270777489105787`*^9, 
   3.6270777561177783`*^9}, {3.6283646843741755`*^9, 
   3.6283646877232094`*^9}, {3.628364762554637*^9, 3.6283648060609183`*^9}, {
   3.6283649034405327`*^9, 3.6283649039706535`*^9}, 3.62836497878011*^9, {
   3.628365009044077*^9, 3.6283650508376045`*^9}, {3.6283651461985836`*^9, 
   3.6283651922962213`*^9}, {3.6283996638127394`*^9, 
   3.6283996795214357`*^9}, {3.6284004804969225`*^9, 
   3.6284005260645857`*^9}, {3.628400561976016*^9, 3.6284005708212724`*^9}, {
   3.6284008846407576`*^9, 3.628400979031625*^9}, 3.628401009216851*^9, {
   3.6284012014507217`*^9, 3.628401245426525*^9}, {3.6284013125221252`*^9, 
   3.6284013682921257`*^9}, {3.6284014633897257`*^9, 
   3.6284014848553257`*^9}, {3.6284015301889257`*^9, 
   3.6284015305945253`*^9}, {3.628401661774925*^9, 3.6284016753927217`*^9}, {
   3.6284017474894505`*^9, 3.6284019005897098`*^9}, {3.628401970362604*^9, 
   3.6284019763996105`*^9}, 3.628402011529684*^9, {3.628402066330728*^9, 
   3.6284020667987127`*^9}, 3.6284021093041534`*^9, {3.628402204039917*^9, 
   3.628402206957023*^9}, {3.628402310678993*^9, 3.62840231403295*^9}, {
   3.628402445757661*^9, 3.6284024539631557`*^9}, {3.628402535690508*^9, 
   3.6284025567658377`*^9}, {3.6284988727052417`*^9, 3.628498880974995*^9}, {
   3.6285031589156694`*^9, 3.6285032392322865`*^9}, {3.6285375118505807`*^9, 
   3.6285375472532377`*^9}, {3.6285375973835397`*^9, 3.628537597757347*^9}, {
   3.6285376364951153`*^9, 3.6285376383797264`*^9}, {3.6285376701764345`*^9, 
   3.6285376884201374`*^9}, 3.6285377398886876`*^9, {3.6285377781378994`*^9, 
   3.62853780531536*^9}, {3.6285378439523525`*^9, 3.6285378870016546`*^9}, {
   3.62853817457421*^9, 3.628538177163329*^9}, {3.628538219772008*^9, 
   3.6285382273366013`*^9}, {3.6302819053432603`*^9, 
   3.6302819738713226`*^9}, {3.6302820837186227`*^9, 
   3.6302821015742106`*^9}, {3.6302821399208403`*^9, 3.630282169066774*^9}, {
   3.630283657038785*^9, 3.630283705309822*^9}, 3.630283749635104*^9, {
   3.6302837982509365`*^9, 3.6302838327993436`*^9}, {3.630283906468706*^9, 
   3.630283981448024*^9}, {3.630284013666674*^9, 3.6302840458853245`*^9}, {
   3.630284209845874*^9, 3.6302842196734324`*^9}, {3.6302842617915425`*^9, 
   3.630284311163327*^9}, 3.6302843427051115`*^9, {3.6302844149926248`*^9, 
   3.6302844339319963`*^9}, {3.630284541187496*^9, 3.6302845425759673`*^9}, 
   3.6302846143708487`*^9, 3.630284656227795*^9, {3.630284699176798*^9, 
   3.6302847338737*^9}, {3.6302850072280874`*^9, 3.6302850762715797`*^9}, {
   3.630285148686721*^9, 3.630285482548411*^9}, {3.6302856491773515`*^9, 
   3.6302856795203238`*^9}, {3.630285726633834*^9, 3.6302857427181387`*^9}, {
   3.630285958589419*^9, 3.6302859866966543`*^9}, {3.630286028592345*^9, 
   3.630286077553839*^9}, 3.630286111042316*^9, {3.630286245960618*^9, 
   3.630286359776759*^9}, {3.6302864212867703`*^9, 3.6302864511138573`*^9}, {
   3.630286498679782*^9, 3.630286501316266*^9}, {3.6302866332340946`*^9, 
   3.6302866431872134`*^9}, {3.6302880444974623`*^9, 3.630288069563127*^9}, {
   3.6303000958152313`*^9, 3.630300104578497*^9}, {3.6303001475372124`*^9, 
   3.6303001778032255`*^9}, {3.6303002569688864`*^9, 
   3.6303003224863167`*^9}, {3.6303003722741756`*^9, 
   3.6303003824594736`*^9}, {3.630300427630413*^9, 3.6303005327121177`*^9}, {
   3.6303005819540567`*^9, 3.6303005970695267`*^9}, {3.63030069993197*^9, 
   3.6303007179648767`*^9}, {3.6303007605668383`*^9, 
   3.6303008749728374`*^9}, {3.6303009411944466`*^9, 3.6303009609908466`*^9}, 
   3.6303009968396463`*^9, {3.6303010932207527`*^9, 3.630301100286601*^9}, {
   3.630301272924158*^9, 3.6303013074111156`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 
    4.71238898038469, $CellContext`B$$ = -0.3617749168701834, \
$CellContext`CC$$ = 1.9200000000000002`, $CellContext`d$$ = 
    1, $CellContext`d2$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 0, "\[Angle]ACB"}, {0, 1}}, {{
       Hold[$CellContext`d2$$], 0, "\[Angle]ABC"}, {0, 1}}, {
      Hold[$CellContext`CC$$], 0.3, 6.583185307179586}, {
      Hold[$CellContext`A$$], Rational[3, 2] Pi, 2 Pi}, {
      Hold[$CellContext`B$$], Rational[-1, 3] Pi, 
      Dynamic[$CellContext`CC$$]}}, Typeset`size$$ = {468., {230., 238.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`d$14129$$ = False, $CellContext`d2$14130$$ = 
    False, $CellContext`CC$14131$$ = 0, $CellContext`A$14132$$ = 
    0, $CellContext`B$14133$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = Rational[3, 2] Pi, $CellContext`B$$ = 
        Rational[-1, 3] Pi, $CellContext`CC$$ = 0.3, $CellContext`d$$ = 
        0, $CellContext`d2$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$14129$$, False], 
        Hold[$CellContext`d2$$, $CellContext`d2$14130$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$14131$$, 0], 
        Hold[$CellContext`A$$, $CellContext`A$14132$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$14133$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Thickness[0.009], {Pink, 
           Circle[{0, 0}, 3]}, {Pink, 
           Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + 10 {
                Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}, {
              3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} - 10 {
               Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}}]}, {
           PointSize[Large], 
           Point[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}], 
           Point[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}], 
           Point[{0, 0}], 
           Point[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]}, {
          Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, 
          If[$CellContext`d$$ == 1, {Blue, 
            Opacity[0.5], 
            
            BSplineCurve[{(-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})/(2 
               Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`CC$$], 3 
                Sin[$CellContext`CC$$]}, ((-{
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}))/(1.8 
               Norm[(-{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                   3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})]) + {
               3 Cos[$CellContext`CC$$], 3 
                Sin[$CellContext`CC$$]}, (-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})/(2 
               Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                 3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]) + {
               3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}}, 
             SplineDegree -> 4], 
            BSplineCurve[{(-{
                  Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ((-{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + ({
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                   Cos[$CellContext`A$$], 
                   Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}]))/(2 Norm[(-{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + ({
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}])]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                  Cos[$CellContext`B$$], 
                  Sin[$CellContext`B$$]} - {
                 Cos[$CellContext`A$$], 
                 Sin[$CellContext`A$$]})/(2 Norm[{
                   Cos[$CellContext`B$$], 
                   Sin[$CellContext`B$$]} - {
                  Cos[$CellContext`A$$], 
                  Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}, 
             SplineDegree -> 4]}], 
          If[$CellContext`d2$$ == 1, {Green, 
            Opacity[0.5], 
            
            BSplineCurve[{(-{
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})/(2 
               Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`B$$], 3 
                Sin[$CellContext`B$$]}, ((-{
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                  3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}))/(1.8 
               Norm[(-{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                   3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]})]) + {
               3 Cos[$CellContext`B$$], 3 
                Sin[$CellContext`B$$]}, (-{
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]})/(2 
               Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]) + {
               3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}, 
             SplineDegree -> 4], 
            BSplineCurve[{{
                 Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                   Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + ({
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                   Cos[$CellContext`A$$], 
                   Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}]))/(2 Norm[{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + ({
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}])]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                  Cos[$CellContext`CC$$], 
                  Sin[$CellContext`CC$$]} - {
                 Cos[$CellContext`A$$], 
                 Sin[$CellContext`A$$]})/(2 Norm[{
                   Cos[$CellContext`CC$$], 
                   Sin[$CellContext`CC$$]} - {
                  Cos[$CellContext`A$$], 
                  Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}, 
             SplineDegree -> 4]}], 
          If[$CellContext`d$$ == 1, {Blue, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} 1.3], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", 
              Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} 
              1.3 + {1, 0}]}], 
          If[$CellContext`d2$$ == 1, {Green, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]/(
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}])]/
                 Pi)] "\[Degree]", 
              Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} 
              1.3 + {0.5, 0}], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]/(
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}])]/
                 Pi)] "\[Degree]", 
              Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} 
              1.3 + {-1, 0}]}], 
          Text[
           Style["O", Large], {0, 0} + {0.5, -0.5}], 
          Text[
           Style[
           "A", Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "B", Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "C", Large], {
            3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
            0.5, -0.5}], Null}], PlotRange -> {{-5, 5}, {-5, 5}}, AspectRatio -> 
        Automatic], 
      "Specifications" :> {{{$CellContext`d$$, 0, "\[Angle]ACB"}, {0, 
         1}}, {{$CellContext`d2$$, 0, "\[Angle]ABC"}, {0, 
         1}}, {$CellContext`CC$$, 0.3, 6.583185307179586}, {$CellContext`A$$, 
         Rational[3, 2] Pi, 2 Pi}, {$CellContext`B$$, Rational[-1, 3] Pi, 
         Dynamic[$CellContext`CC$$]}}, 
      "Options" :> {ControlPlacement -> Left, ImageSize -> Large}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{857., {268., 277.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.6302844222001944`*^9, 3.6302844346496325`*^9}, 
   3.630284543590019*^9, 3.6302846174286056`*^9, 3.6302847011112967`*^9, 
   3.630284735153007*^9, 3.630285020032404*^9, 3.630285485309699*^9, 
   3.6302856540447073`*^9, 3.630285743217368*^9, 3.6302859872425776`*^9, 
   3.6302860363600492`*^9, 3.6302860783805227`*^9, 3.630286111494652*^9, {
   3.6302863193732767`*^9, 3.6302863602135534`*^9}, 3.6302864520966887`*^9, 
   3.630286502611108*^9, 3.6302866442168465`*^9, 3.630288137351166*^9, 
   3.6303001066835527`*^9, 3.6303001544605045`*^9, 3.6303002748540573`*^9, 
   3.6303003230946274`*^9, 3.6303003834889216`*^9, 3.6303006023889217`*^9, 
   3.630300886298046*^9, {3.6303009711932464`*^9, 3.6303009976352463`*^9}, 
   3.630301101097692*^9, 3.63030132154399*^9, 3.6303016256860175`*^9}]
}, {2}]]
}, Open  ]]
},
WindowSize->{1349, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>1.3 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 635, 11, 114, "Section"],
Cell[CellGroupData[{
Cell[1239, 37, 65262, 1407, 2890, "Input"],
Cell[66504, 1446, 15158, 281, 566, "Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
